Name Namespace Reference

Namespace containing value name definitions. More...

## Functions

const char * | ValueNames ()
| string, a list of value names with a semicolon (';') after each name
const char * | Version ()
| int
const char * | Seed ()
| ConstByteArrayParameter.
const char * | Key ()
| ConstByteArrayParameter.
const char * | IV ()
| ConstByteArrayParameter, also accepts const byte * for backwards compatibility.
const char * | StolenIV ()
| byte *
const char * | Nonce ()
| ConstByteArrayParameter.
const char * | Rounds ()
| int
const char * | FeedbackSize ()
| int
const char * | WordSize ()
| int, in bytes
const char * | BlockSize ()
| int, in bytes
const char * | EffectiveKeyLength ()
| int, in bits
const char * | KeySize ()
| int, in bits
const char * | ModulusSize ()
| int, in bits
const char * | SubgroupOrderSize ()
| int, in bits
const char * | PrivateExponentSize ()
| int, in bits
const char * | Modulus ()
| Integer.
const char * | PublicExponent ()
| Integer.
const char * | PrivateExponent ()
| Integer.
const char * | PublicElement ()
| Integer.
const char * | SubgroupOrder ()
| Integer.
const char * | Cofactor ()
| Integer.
const char * | SubgroupGenerator ()
| Integer, ECP::Point, or EC2N::Point.
const char * | Curve ()
| ECP or EC2N.
const char * | GroupOID ()
| OID.
const char * | PointerToPrimeSelector ()
| const PrimeSelector *
const char * | Prime1 ()
| Integer.
const char * | Prime2 ()
| Integer.
const char * | ModPrime1PrivateExponent ()
| Integer.
const char * | ModPrime2PrivateExponent ()
| Integer.
const char * | MultiplicativeInverseOfPrime2ModPrime1 ()
| Integer.
const char * | QuadraticResidueModPrime1 ()
| Integer.
const char * | QuadraticResidueModPrime2 ()
| Integer.
const char * | PutMessage ()
| bool
const char * | TruncatedDigestSize ()
| int
const char * | BlockPaddingScheme ()
| StreamTransformationFilter::BlockPaddingScheme.
const char * | HashVerificationFilterFlags ()
| word32
const char * | AuthenticatedDecryptionFilterFlags ()
| word32
const char * | SignatureVerificationFilterFlags ()
| word32
const char * | InputBuffer ()
| ConstByteArrayParameter.
const char * | OutputBuffer ()
| ByteArrayParameter.
const char * | InputFileName ()
| const char *
const char * | InputFileNameWide ()
| const wchar_t *
const char * | InputStreamPointer ()
| std::istream *
const char * | InputBinaryMode ()
| bool
const char * | OutputFileName ()
| const char *
const char * | OutputFileNameWide ()
| const wchar_t *
const char * | OutputStreamPointer ()
| std::ostream *
const char * | OutputBinaryMode ()
| bool
const char * | EncodingParameters ()
| ConstByteArrayParameter.
const char * | KeyDerivationParameters ()
| ConstByteArrayParameter.
const char * | Separator ()
| ConstByteArrayParameter.
const char * | Terminator ()
| ConstByteArrayParameter.
const char * | Uppercase ()
| bool
const char * | GroupSize ()
| int
const char * | Pad ()
| bool
const char * | PaddingByte ()
| byte
const char * | Log2Base ()
| int
const char * | EncodingLookupArray ()
| const byte *
const char * | DecodingLookupArray ()
| const byte *
const char * | InsertLineBreaks ()
| bool
const char * | MaxLineLength ()
| int
const char * | DigestSize ()
| int, in bytes
const char * | L1KeyLength ()
| int, in bytes
const char * | TableSize ()
| int, in bytes
const char * | Blinding ()
| bool, timing attack mitigations, ON by default
const char * | DerivedKey ()
| ByteArrayParameter, key derivation, derived key.
const char * | DerivedKeyLength ()
| int, key derivation, derived key length in bytes
const char * | Personalization ()
| ConstByteArrayParameter.
const char * | PersonalizationSize ()
| int, in bytes
const char * | Salt ()
| ConstByteArrayParameter.
const char * | Tweak ()
| ConstByteArrayParameter.
const char * | SaltSize ()
| int, in bytes
const char * | TreeMode ()
| byte
const char * | FileName ()
| const char *
const char * | FileTime ()
| int
const char * | Comment ()
| const char *
const char * | Identity ()
| ConstByteArrayParameter.

## Detailed Description

Namespace containing value name definitions.

Name is part of the CryptoPP namespace.

The semantics of value names, types are:

        ThisObject:ClassName (ClassName, copy of this object or a subobject)
        ThisPointer:ClassName (const ClassName *, pointer to this object or a subobject)

## Function Documentation

## ValueNames()

const char * Name::ValueNames | ( |  | ) |

inline

string, a list of value names with a semicolon (';') after each name

Definition at line 17 of file argnames.h.

## Version()

const char * Name::Version | ( |  | ) |

inline

int

Definition at line 18 of file argnames.h.

## Seed()

const char * Name::Seed | ( |  | ) |

inline

ConstByteArrayParameter.

Definition at line 19 of file argnames.h.

## Key()

const char * Name::Key | ( |  | ) |

inline

ConstByteArrayParameter.

Definition at line 20 of file argnames.h.

## IV()

const char * Name::IV | ( |  | ) |

inline

ConstByteArrayParameter, also accepts const byte * for backwards compatibility.

Definition at line 21 of file argnames.h.

## StolenIV()

const char * Name::StolenIV | ( |  | ) |

inline

byte *

Definition at line 22 of file argnames.h.

## Nonce()

const char * Name::Nonce | ( |  | ) |

inline

ConstByteArrayParameter.

Definition at line 23 of file argnames.h.

## Rounds()

const char * Name::Rounds | ( |  | ) |

inline

int

Definition at line 24 of file argnames.h.

## FeedbackSize()

const char * Name::FeedbackSize | ( |  | ) |

inline

int

Definition at line 25 of file argnames.h.

## WordSize()

const char * Name::WordSize | ( |  | ) |

inline

int, in bytes

Definition at line 26 of file argnames.h.

## BlockSize()

const char * Name::BlockSize | ( |  | ) |

inline

int, in bytes

Definition at line 27 of file argnames.h.

## EffectiveKeyLength()

const char * Name::EffectiveKeyLength | ( |  | ) |

inline

int, in bits

Definition at line 28 of file argnames.h.

## KeySize()

const char * Name::KeySize | ( |  | ) |

inline

int, in bits

Definition at line 29 of file argnames.h.

## ModulusSize()

const char * Name::ModulusSize | ( |  | ) |

inline

int, in bits

Definition at line 30 of file argnames.h.

## SubgroupOrderSize()

const char * Name::SubgroupOrderSize | ( |  | ) |

inline

int, in bits

Definition at line 31 of file argnames.h.

## PrivateExponentSize()

const char * Name::PrivateExponentSize | ( |  | ) |

inline

int, in bits

Definition at line 32 of file argnames.h.

## Modulus()

const char * Name::Modulus | ( |  | ) |

inline

Integer.

Definition at line 33 of file argnames.h.

## PublicExponent()

const char * Name::PublicExponent | ( |  | ) |

inline

Integer.

Definition at line 34 of file argnames.h.

## PrivateExponent()

const char * Name::PrivateExponent | ( |  | ) |

inline

Integer.

Definition at line 35 of file argnames.h.

## PublicElement()

const char * Name::PublicElement | ( |  | ) |

inline

Integer.

Definition at line 36 of file argnames.h.

## SubgroupOrder()

const char * Name::SubgroupOrder | ( |  | ) |

inline

Integer.

Definition at line 37 of file argnames.h.

## Cofactor()

const char * Name::Cofactor | ( |  | ) |

inline

Integer.

Definition at line 38 of file argnames.h.

## SubgroupGenerator()

const char * Name::SubgroupGenerator | ( |  | ) |

inline

Integer, ECP::Point, or EC2N::Point.

Definition at line 39 of file argnames.h.

## Curve()

const char * Name::Curve | ( |  | ) |

inline

ECP or EC2N.

Definition at line 40 of file argnames.h.

## GroupOID()

const char * Name::GroupOID | ( |  | ) |

inline

OID.

Definition at line 41 of file argnames.h.

## PointerToPrimeSelector()

const char * Name::PointerToPrimeSelector | ( |  | ) |

inline

const PrimeSelector *

Definition at line 42 of file argnames.h.

## Prime1()

const char * Name::Prime1 | ( |  | ) |

inline

Integer.

Definition at line 43 of file argnames.h.

## Prime2()

const char * Name::Prime2 | ( |  | ) |

inline

Integer.

Definition at line 44 of file argnames.h.

## ModPrime1PrivateExponent()

const char * Name::ModPrime1PrivateExponent | ( |  | ) |

inline

Integer.

Definition at line 45 of file argnames.h.

## ModPrime2PrivateExponent()

const char * Name::ModPrime2PrivateExponent | ( |  | ) |

inline

Integer.

Definition at line 46 of file argnames.h.

## MultiplicativeInverseOfPrime2ModPrime1()

const char * Name::MultiplicativeInverseOfPrime2ModPrime1 | ( |  | ) |

inline

Integer.

Definition at line 47 of file argnames.h.

## QuadraticResidueModPrime1()

const char * Name::QuadraticResidueModPrime1 | ( |  | ) |

inline

Integer.

Definition at line 48 of file argnames.h.

## QuadraticResidueModPrime2()

const char * Name::QuadraticResidueModPrime2 | ( |  | ) |

inline

Integer.

Definition at line 49 of file argnames.h.

## PutMessage()

const char * Name::PutMessage | ( |  | ) |

inline

bool

Definition at line 50 of file argnames.h.

## TruncatedDigestSize()

const char * Name::TruncatedDigestSize | ( |  | ) |

inline

int

Definition at line 51 of file argnames.h.

## BlockPaddingScheme()

const char * Name::BlockPaddingScheme | ( |  | ) |

inline

StreamTransformationFilter::BlockPaddingScheme.

Definition at line 52 of file argnames.h.

## HashVerificationFilterFlags()

const char * Name::HashVerificationFilterFlags | ( |  | ) |

inline

word32

Definition at line 53 of file argnames.h.

## AuthenticatedDecryptionFilterFlags()

const char * Name::AuthenticatedDecryptionFilterFlags | ( |  | ) |

inline

word32

Definition at line 54 of file argnames.h.

## SignatureVerificationFilterFlags()

const char * Name::SignatureVerificationFilterFlags | ( |  | ) |

inline

word32

Definition at line 55 of file argnames.h.

## InputBuffer()

const char * Name::InputBuffer | ( |  | ) |

inline

ConstByteArrayParameter.

Definition at line 56 of file argnames.h.

## OutputBuffer()

const char * Name::OutputBuffer | ( |  | ) |

inline

ByteArrayParameter.

Definition at line 57 of file argnames.h.

## InputFileName()

const char * Name::InputFileName | ( |  | ) |

inline

const char *

Definition at line 58 of file argnames.h.

## InputFileNameWide()

const char * Name::InputFileNameWide | ( |  | ) |

inline

const wchar_t *

Definition at line 59 of file argnames.h.

## InputStreamPointer()

const char * Name::InputStreamPointer | ( |  | ) |

inline

std::istream *

Definition at line 60 of file argnames.h.

## InputBinaryMode()

const char * Name::InputBinaryMode | ( |  | ) |

inline

bool

Definition at line 61 of file argnames.h.

## OutputFileName()

const char * Name::OutputFileName | ( |  | ) |

inline

const char *

Definition at line 62 of file argnames.h.

## OutputFileNameWide()

const char * Name::OutputFileNameWide | ( |  | ) |

inline

const wchar_t *

Definition at line 63 of file argnames.h.

## OutputStreamPointer()

const char * Name::OutputStreamPointer | ( |  | ) |

inline

std::ostream *

Definition at line 64 of file argnames.h.

## OutputBinaryMode()

const char * Name::OutputBinaryMode | ( |  | ) |

inline

bool

Definition at line 65 of file argnames.h.

## EncodingParameters()

const char * Name::EncodingParameters | ( |  | ) |

inline

ConstByteArrayParameter.

Definition at line 66 of file argnames.h.

## KeyDerivationParameters()

const char * Name::KeyDerivationParameters | ( |  | ) |

inline

ConstByteArrayParameter.

Definition at line 67 of file argnames.h.

## Separator()

const char * Name::Separator | ( |  | ) |

inline

ConstByteArrayParameter.

Definition at line 68 of file argnames.h.

## Terminator()

const char * Name::Terminator | ( |  | ) |

inline

ConstByteArrayParameter.

Definition at line 69 of file argnames.h.

## Uppercase()

const char * Name::Uppercase | ( |  | ) |

inline

bool

Definition at line 70 of file argnames.h.

## GroupSize()

const char * Name::GroupSize | ( |  | ) |

inline

int

Definition at line 71 of file argnames.h.

## Pad()

const char * Name::Pad | ( |  | ) |

inline

bool

Definition at line 72 of file argnames.h.

## PaddingByte()

const char * Name::PaddingByte | ( |  | ) |

inline

byte

Definition at line 73 of file argnames.h.

## Log2Base()

const char * Name::Log2Base | ( |  | ) |

inline

int

Definition at line 74 of file argnames.h.

## EncodingLookupArray()

const char * Name::EncodingLookupArray | ( |  | ) |

inline

const byte *

Definition at line 75 of file argnames.h.

## DecodingLookupArray()

const char * Name::DecodingLookupArray | ( |  | ) |

inline

const byte *

Definition at line 76 of file argnames.h.

## InsertLineBreaks()

const char * Name::InsertLineBreaks | ( |  | ) |

inline

bool

Definition at line 77 of file argnames.h.

## MaxLineLength()

const char * Name::MaxLineLength | ( |  | ) |

inline

int

Definition at line 78 of file argnames.h.

## DigestSize()

const char * Name::DigestSize | ( |  | ) |

inline

int, in bytes

Definition at line 79 of file argnames.h.

## L1KeyLength()

const char * Name::L1KeyLength | ( |  | ) |

inline

int, in bytes

Definition at line 80 of file argnames.h.

## TableSize()

const char * Name::TableSize | ( |  | ) |

inline

int, in bytes

Definition at line 81 of file argnames.h.

## Blinding()

const char * Name::Blinding | ( |  | ) |

inline

bool, timing attack mitigations, ON by default

Definition at line 82 of file argnames.h.

## DerivedKey()

const char * Name::DerivedKey | ( |  | ) |

inline

ByteArrayParameter, key derivation, derived key.

Definition at line 83 of file argnames.h.

## DerivedKeyLength()

const char * Name::DerivedKeyLength | ( |  | ) |

inline

int, key derivation, derived key length in bytes

Definition at line 84 of file argnames.h.

## Personalization()

const char * Name::Personalization | ( |  | ) |

inline

ConstByteArrayParameter.

Definition at line 85 of file argnames.h.

## PersonalizationSize()

const char * Name::PersonalizationSize | ( |  | ) |

inline

int, in bytes

Definition at line 86 of file argnames.h.

## Salt()

const char * Name::Salt | ( |  | ) |

inline

ConstByteArrayParameter.

Definition at line 87 of file argnames.h.

## Tweak()

const char * Name::Tweak | ( |  | ) |

inline

ConstByteArrayParameter.

Definition at line 88 of file argnames.h.

## SaltSize()

const char * Name::SaltSize | ( |  | ) |

inline

int, in bytes

Definition at line 89 of file argnames.h.

## TreeMode()

const char * Name::TreeMode | ( |  | ) |

inline

byte

Definition at line 90 of file argnames.h.

## FileName()

const char * Name::FileName | ( |  | ) |

inline

const char *

Definition at line 91 of file argnames.h.

## FileTime()

const char * Name::FileTime | ( |  | ) |

inline

int

Definition at line 92 of file argnames.h.

## Comment()

const char * Name::Comment | ( |  | ) |

inline

const char *

Definition at line 93 of file argnames.h.

## Identity()

const char * Name::Identity | ( |  | ) |

inline

ConstByteArrayParameter.

Definition at line 94 of file argnames.h.